(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     48762,       1410]
NotebookOptionsPosition[     46502,       1327]
NotebookOutlinePosition[     47018,       1349]
CellTagsIndexPosition[     46932,       1344]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["General Relativity, Einstein & All That (GREAT)", "Section"],

Cell["First, load the package", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "Great.m"}]], "Input",
 CellChangeTimes->{{3.483095713703125*^9, 3.483095713828125*^9}, {
  3.5205948415682173`*^9, 3.520594844129364*^9}, {3.5209981395940638`*^9, 
  3.5209981409021387`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Get", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \[NoBreak]\\!\\(\\\"Great.m\\\"\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Get::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.520998134010744*^9, 3.520998142104207*^9}, {
   3.5209986626029778`*^9, 3.5209987115147753`*^9}, {3.521001633998932*^9, 
   3.5210016583403244`*^9}, 3.5210017094602485`*^9, {3.5210017533767605`*^9, 
   3.52100178658866*^9}, {3.5210018727435875`*^9, 3.5210018736366386`*^9}, 
   3.521025647122404*^9, 3.521025677586147*^9}],

Cell[BoxData["$Failed"], "Output",
 CellChangeTimes->{3.5210256775891466`*^9}]
}, Open  ]],

Cell[BoxData["$Failed"], "Input",
 CellChangeTimes->{3.5210256495205417`*^9}],

Cell["Brief on-line help is available for all functions:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "IMetric"}]], "Input"],

Cell[BoxData[
 StyleBox["\<\"IMetric[g], with g an n.n-matrix (two lower indices),\\n  \
returns the inverse metric (two upper indices).\"\>", "MSG"]], "Print", \
"PrintUsage",
 CellChangeTimes->{3.5210256796612654`*^9},
 CellTags->"Info3521054479-2322627"]
}, Open  ]],

Cell[CellGroupData[{

Cell["A sample calculation", "Subsection"],

Cell[TextData[{
 "First define the coordinate ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-vector:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "=", 
  RowBox[{"{", " ", 
   RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.483183743*^9, 3.483183752921875*^9}, {
  3.514010402734375*^9, 3.514010403140625*^9}, {3.520594903609766*^9, 
  3.5205949693305244`*^9}, {3.520596048913274*^9, 3.520596063974135*^9}, {
  3.520596403787571*^9, 3.5205964743356066`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]], "Output",
 CellChangeTimes->{{3.5210016469406724`*^9, 3.5210016675928535`*^9}, 
   3.521001712147402*^9, 3.5210017558969045`*^9, 3.52100187802489*^9, {
   3.5210256615842314`*^9, 3.5210256821064053`*^9}}]
}, Open  ]],

Cell[TextData[{
 "and then specify the metric as a square ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "\[Times]", "n"}], TraditionalForm]]],
 " matrix:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"met", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        FractionBox[
         RowBox[{"A", "[", "t", "]"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"k", " ", 
            SuperscriptBox["r", "2"]}]}], ")"}]], ",", "0", ",", "0"}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], " ", 
         SuperscriptBox["r", "2"]}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], " ", 
         SuperscriptBox["r", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}], ")"}], "2"]}]}], "}"}]}], 
     "}"}]}], ")"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.483183763859375*^9, 3.48318385909375*^9}, {
   3.483183893171875*^9, 3.483183896125*^9}, {3.514010409859375*^9, 
   3.514010503203125*^9}, {3.514010717546875*^9, 3.514010722203125*^9}, {
   3.514196633765625*^9, 3.51419663659375*^9}, {3.520596327411203*^9, 
   3.5205963434281187`*^9}, {3.5205964921636257`*^9, 3.5205966565180264`*^9}, 
   3.5205968048495107`*^9, {3.5205971212366066`*^9, 3.5205971327512655`*^9}, {
   3.5206060415508194`*^9, 3.5206060420398474`*^9}, {3.520606119741292*^9, 
   3.5206061282987814`*^9}, {3.5206061884342213`*^9, 3.520606195328615*^9}, {
   3.520997988911445*^9, 3.520998007036482*^9}, {3.520998091011285*^9, 
   3.5209980973326464`*^9}, {3.521001178362871*^9, 3.5210011848612432`*^9}, {
   3.5210015917455153`*^9, 3.5210016145938225`*^9}, {3.5210016844688187`*^9, 
   3.5210016919182453`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"A", "[", "t", "]"}], 
       RowBox[{"1", "-", 
        RowBox[{"k", " ", 
         SuperscriptBox["r", "2"]}]}]], "0", "0"},
     {"0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       RowBox[{"A", "[", "t", "]"}]}], "0"},
     {"0", "0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       RowBox[{"A", "[", "t", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.520596492808663*^9, 3.5205965236404266`*^9}, {
   3.5205965838538704`*^9, 3.520596611423447*^9}, 3.520596663122404*^9, 
   3.520596806830624*^9, 3.5205971345023656`*^9, 3.5206060538495235`*^9, 
   3.5206061294928493`*^9, 3.5206062031640635`*^9, 3.5209981006398354`*^9, 
   3.52099871806715*^9, 3.521001186866358*^9, 3.521001617665998*^9, {
   3.521001648440758*^9, 3.521001714137516*^9}, 3.5210017569999676`*^9, 
   3.5210018795479765`*^9, 3.5210256969732556`*^9}]
}, Open  ]],

Cell[TextData[{
 "\"",
 StyleBox["IMetric", "Input"],
 "\" is the only 1-argument function:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"IMetric", "[", "met", "]"}], "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"1", "-", 
        RowBox[{"k", " ", 
         SuperscriptBox["r", "2"]}]}], 
       RowBox[{"A", "[", "t", "]"}]], "0", "0"},
     {"0", "0", 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"A", "[", "t", "]"}]}]], "0"},
     {"0", "0", "0", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"Csc", "[", "\[Theta]", "]"}], "2"], 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"A", "[", "t", "]"}]}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.5206062135846596`*^9, 3.520606227987483*^9}, {
   3.5209981140966053`*^9, 3.520998117877822*^9}, 3.5209986892735033`*^9, 
   3.520998719736246*^9, 3.521001189549511*^9, 3.521001619990131*^9, {
   3.521001650601882*^9, 3.5210017176067142`*^9}, 3.5210017582640395`*^9, 
   3.5210018815350904`*^9, {3.521025665893478*^9, 3.5210256996594095`*^9}}]
}, Open  ]],

Cell["\<\
All other \"functions\" take two arguments, the metric matrix and then the \
coordinate vector:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"2", "-", 
         RowBox[{"2", " ", "k", " ", 
          SuperscriptBox["r", "2"]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"2", " ", 
         RowBox[{"A", "[", "t", "]"}]}]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"2", " ", 
         RowBox[{"A", "[", "t", "]"}]}]], ",", 
       FractionBox[
        RowBox[{"k", " ", "r"}], 
        RowBox[{"1", "-", 
         RowBox[{"k", " ", 
          SuperscriptBox["r", "2"]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["r", "2"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["r", "2"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"2", " ", 
         RowBox[{"A", "[", "t", "]"}]}]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "r"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"2", " ", 
         RowBox[{"A", "[", "t", "]"}]}]], ",", 
       FractionBox["1", "r"], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"2", " ", 
         RowBox[{"A", "[", "t", "]"}]}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox["1", "r"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"Cot", "[", "\[Theta]", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"2", " ", 
         RowBox[{"A", "[", "t", "]"}]}]], ",", 
       FractionBox["1", "r"], ",", 
       RowBox[{"Cot", "[", "\[Theta]", "]"}], ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.48318384471875*^9, 3.483183877625*^9, 3.483183909171875*^9, 
   3.51401035128125*^9, 3.514010385171875*^9, 3.5140105165625*^9, 
   3.51401072725*^9, 3.5205948570321016`*^9, 3.5205966822144966`*^9, 
   3.520596813850025*^9, 3.52059714890819*^9, 3.5206060657462034`*^9, 
   3.5206061380453386`*^9, 3.5206062310846605`*^9, 3.5209981253692503`*^9, {
   3.5209986921276665`*^9, 3.5209987214593444`*^9}, 3.5210011923866735`*^9, 
   3.5210016232643185`*^9, {3.521001720020852*^9, 3.521001759772126*^9}, 
   3.521001883255189*^9, 3.521025703064604*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["A", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
            RowBox[{"2", " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["A", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"A", "[", "t", "]"}]}], "-", 
            RowBox[{"4", " ", "k", " ", 
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"A", "[", "t", "]"}]}]}]]}], ",", "0", ",", "0"}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["A", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{"2", " ", 
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          RowBox[{
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}], "-", 
           RowBox[{"4", " ", "k", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"A", "[", "t", "]"}]}]}]], ",", "0", ",", "0", ",", "0"}],
         "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{"2", " ", 
               RowBox[{"A", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["A", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
             RowBox[{"2", " ", 
              RowBox[{"A", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["A", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}]}]], ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{"2", " ", 
               RowBox[{"A", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["A", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
             RowBox[{"2", " ", 
              RowBox[{"A", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["A", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}]}]], ",", "0", ",", "0", ",", "0"}], 
        "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["A", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
            RowBox[{"2", " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["A", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"]}]]}], ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["A", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{"2", " ", 
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{"A", "[", "t", "]"}], "2"]}]], ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", "k", " ", 
              RowBox[{"A", "[", "t", "]"}]}], "+", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}]}]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", "k", " ", 
               RowBox[{"A", "[", "t", "]"}]}], "+", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}]]}], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", "k", " ", 
              RowBox[{"A", "[", "t", "]"}]}], "+", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", "k", " ", 
               RowBox[{"A", "[", "t", "]"}]}], "+", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}]]}], ",", "0", ",", "0"}], "}"}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["A", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
            RowBox[{"2", " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["A", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"]}]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["A", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{"2", " ", 
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{"A", "[", "t", "]"}], "2"]}]], ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"4", " ", "k", " ", 
             RowBox[{"A", "[", "t", "]"}]}], "+", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["A", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"A", "[", "t", "]"}]}], "-", 
            RowBox[{"4", " ", "k", " ", 
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"A", "[", "t", "]"}]}]}]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"4", " ", "k", " ", 
            RowBox[{"A", "[", "t", "]"}]}], "+", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["A", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"]}], 
          RowBox[{
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}], "-", 
           RowBox[{"4", " ", "k", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"A", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", "k", " ", 
              RowBox[{"A", "[", "t", "]"}]}], "+", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", "k", " ", 
               RowBox[{"A", "[", "t", "]"}]}], "+", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}]]}], ",", "0"}], "}"}]}], "}"}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["A", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
            RowBox[{"2", " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["A", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["A", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{"2", " ", 
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{"A", "[", "t", "]"}], "2"]}]], ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"4", " ", "k", " ", 
             RowBox[{"A", "[", "t", "]"}]}], "+", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["A", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], 
           RowBox[{
            RowBox[{"4", " ", 
             RowBox[{"A", "[", "t", "]"}]}], "-", 
            RowBox[{"4", " ", "k", " ", 
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"A", "[", "t", "]"}]}]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"4", " ", "k", " ", 
            RowBox[{"A", "[", "t", "]"}]}], "+", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["A", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"]}], 
          RowBox[{
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}], "-", 
           RowBox[{"4", " ", "k", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"A", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", "k", " ", 
               RowBox[{"A", "[", "t", "]"}]}], "+", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
           RowBox[{"4", " ", 
            RowBox[{"A", "[", "t", "]"}]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", "k", " ", 
              RowBox[{"A", "[", "t", "]"}]}], "+", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}]}]], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.48318390925*^9, 3.5140103514375*^9, 3.51401038534375*^9, 
  3.51401051696875*^9, 3.51401072778125*^9, 3.5205966924470816`*^9, 
  3.520596816541179*^9, 3.520597153661462*^9, 3.520606070128454*^9, 
  3.520606141502537*^9, 3.5206062339378233`*^9, 3.52099813008952*^9, 
  3.5209987269116564`*^9, 3.5210011952398367`*^9, 3.521001624706401*^9, 
  3.521001885042291*^9, 3.5210257053097324`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ricci", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["A", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
         RowBox[{"2", " ", 
          RowBox[{"A", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["A", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"A", "[", "t", "]"}], "2"]}]], ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"A", "[", "t", "]"}]}], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["A", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       RowBox[{"2", " ", 
        RowBox[{"A", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["A", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"A", "[", "t", "]"}]}], "-", 
       RowBox[{"4", " ", "k", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"A", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["A", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"A", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", "k"}], "+", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"4", " ", 
       RowBox[{"A", "[", "t", "]"}]}]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["A", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"A", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", "k"}], "+", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"4", " ", 
       RowBox[{"A", "[", "t", "]"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.483183909359375*^9, 3.5140103516875*^9, 
  3.514010385546875*^9, 3.51401051725*^9, 3.51401072803125*^9, 
  3.5205966979023933`*^9, 3.520596822593526*^9, 3.5205971637870407`*^9, 
  3.520606076629826*^9, 3.5206061441946907`*^9, 3.520606236731983*^9, 
  3.5209987302188454`*^9, 3.5210011984260187`*^9, 3.521001626321493*^9, 
  3.5210018868193927`*^9, 3.521025707732871*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SCurvature", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"3", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "k"}], "+", 
     RowBox[{
      SuperscriptBox["A", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}], ")"}]}], 
  RowBox[{"A", "[", "t", "]"}]]], "Output",
 CellChangeTimes->{3.4831839095625*^9, 3.51401035178125*^9, 
  3.51401038565625*^9, 3.51401051746875*^9, 3.5140107283125*^9, 
  3.520596700964569*^9, 3.5205968266257563`*^9, 3.5205971678302717`*^9, 
  3.520606079779006*^9, 3.520606147200863*^9, 3.520606239730155*^9, 
  3.5209987315119195`*^9, 3.5210012008811593`*^9, 3.5210018884924884`*^9, 
  3.521025709890994*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"EinsteinTensor", "[", 
   RowBox[{"met", ",", "x"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5209988021169577`*^9, 3.520998811505495*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "k", " ", 
           RowBox[{"A", "[", "t", "]"}]}], "+", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["A", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"A", "[", "t", "]"}], "2"]}]], "0", "0", "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["A", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
         RowBox[{"4", " ", 
          RowBox[{"A", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"k", "+", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], ")"}]}]}], 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["r", "2"]}]}], ")"}], " ", 
         RowBox[{"A", "[", "t", "]"}]}]]}], "0", "0"},
     {"0", "0", 
      FractionBox[
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["A", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{"k", "+", 
             RowBox[{
              SuperscriptBox["A", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], ")"}]}]}], 
         ")"}]}], 
       RowBox[{"4", " ", 
        RowBox[{"A", "[", "t", "]"}]}]], "0"},
     {"0", "0", "0", 
      FractionBox[
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["A", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
          RowBox[{"4", " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{"k", "+", 
             RowBox[{
              SuperscriptBox["A", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], ")"}]}]}], 
         ")"}]}], 
       RowBox[{"4", " ", 
        RowBox[{"A", "[", "t", "]"}]}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5205971710084534`*^9, 3.52060608229315*^9, 
  3.520606149570998*^9, 3.5206062420112853`*^9, 3.520998733378026*^9, 
  3.5209988128365707`*^9, 3.521001202534254*^9, 3.521001891517661*^9, 
  3.5210257115870914`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SqRicci", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"3", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["A", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "4"], "+", 
     RowBox[{"2", " ", 
      RowBox[{"A", "[", "t", "]"}], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["A", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{
         SuperscriptBox["A", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox[
       RowBox[{"A", "[", "t", "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["k", "2"]}], "+", 
        RowBox[{"2", " ", "k", " ", 
         RowBox[{
          SuperscriptBox["A", "\[Prime]\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["A", "\[Prime]\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
    ")"}]}], 
  RowBox[{"4", " ", 
   SuperscriptBox[
    RowBox[{"A", "[", "t", "]"}], "4"]}]]], "Output",
 CellChangeTimes->{
  3.483183909796875*^9, 3.514010352046875*^9, 3.514010385953125*^9, 
   3.514010518046875*^9, 3.514010729015625*^9, 3.520596709470055*^9, 
   3.5205969596843667`*^9, {3.520597184270212*^9, 3.52059718545428*^9}, 
   3.52060608788647*^9, 3.5206061531992054`*^9, 3.5206062448234463`*^9, 
   3.5209987347391043`*^9, 3.521001203974336*^9, 3.5210018938517947`*^9, 
   3.521025712995172*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SqRiemann", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"3", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["A", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "4"], "+", 
     RowBox[{"2", " ", 
      RowBox[{"A", "[", "t", "]"}], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["A", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{
         SuperscriptBox["A", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"A", "[", "t", "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["k", "2"]}], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["A", "\[Prime]\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
    ")"}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"A", "[", "t", "]"}], "4"]}]]], "Output",
 CellChangeTimes->{3.483183909921875*^9, 3.514010352125*^9, 
  3.514010386046875*^9, 3.5140105185*^9, 3.514010729296875*^9, 
  3.5205967135472884`*^9, 3.520596963192567*^9, 3.520597190120547*^9, 
  3.5206060902756066`*^9, 3.5206061556833477`*^9, 3.5206062476926107`*^9, 
  3.5209987358851695`*^9, 3.521001205288411*^9, 3.521001895133868*^9, 
  3.5210257146472664`*^9}]
}, Open  ]],

Cell[TextData[{
 "The above \"functions\" do perform a ",
 StyleBox["Simplify[]", "Input"],
 " on the result, but you may want to further manipulate the expression into \
something that may be more \nusable, depending on the particular application.\
\nNote: Einstein Equations employed here is ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 "ab--gab*R=8GTab ,  where misses a  minus sign,  and the Ricci tensor is \
defined  a little different from the one uesed in the Textbook, there is one \
more minus sign in fron t of the definition. So in the end the result remains \
the same."
}], "Text",
 CellChangeTimes->{{3.483184329671875*^9, 3.483184616875*^9}, {
  3.48318465728125*^9, 3.483184745859375*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1016, 651},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3521054479-2322627"->{
  Cell[1982, 63, 257, 5, 58, "Print",
   CellTags->"Info3521054479-2322627"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3521054479-2322627", 46830, 1338}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 66, 0, 71, "Section"],
Cell[636, 24, 39, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[700, 28, 221, 4, 31, "Input"],
Cell[924, 34, 738, 13, 21, "Message"],
Cell[1665, 49, 78, 1, 30, "Output"]
}, Open  ]],
Cell[1758, 53, 77, 1, 31, InheritFromParent],
Cell[1838, 56, 66, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[1929, 60, 50, 1, 31, "Input"],
Cell[1982, 63, 257, 5, 58, "Print",
 CellTags->"Info3521054479-2322627"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2276, 73, 42, 0, 36, "Subsection"],
Cell[2321, 75, 122, 5, 29, "Text"],
Cell[CellGroupData[{
Cell[2468, 84, 390, 7, 31, "Input"],
Cell[2861, 93, 300, 5, 30, "Output"]
}, Open  ]],
Cell[3176, 101, 165, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[3366, 111, 1862, 43, 55, "Input"],
Cell[5231, 156, 1574, 40, 104, "Output"]
}, Open  ]],
Cell[6820, 199, 104, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[6949, 207, 95, 2, 31, "Input"],
Cell[7047, 211, 1499, 40, 132, "Output"]
}, Open  ]],
Cell[8561, 254, 119, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[8705, 261, 89, 2, 31, "Input"],
Cell[8797, 265, 4924, 138, 163, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13758, 408, 85, 2, 31, "Input"],
Cell[13846, 412, 20635, 556, 624, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34518, 973, 83, 2, 31, "Input"],
Cell[34604, 977, 3324, 92, 98, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37965, 1074, 88, 2, 31, "Input"],
Cell[38056, 1078, 648, 15, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38741, 1098, 194, 4, 31, "Input"],
Cell[38938, 1104, 3393, 97, 165, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42368, 1206, 85, 2, 31, "Input"],
Cell[42456, 1210, 1682, 46, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44175, 1261, 87, 2, 31, "Input"],
Cell[44265, 1265, 1479, 41, 53, "Output"]
}, Open  ]],
Cell[45759, 1309, 715, 14, 84, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
